## org.eclipse.emf.ecore.xmi.impl
Class GenericXMLResourceImpl.GenericSAXXMLHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.eclipse.emf.ecore.xmi.impl.XMLHandler
              org.eclipse.emf.ecore.xmi.impl.SAXXMLHandler
                  org.eclipse.emf.ecore.xmi.impl.GenericXMLResourceImpl.GenericSAXXMLHandler

All Implemented Interfaces:
  XMLDefaultHandler, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

Enclosing class:
  GenericXMLResourceImpl

    protected static class GenericXMLResourceImpl.GenericSAXXMLHandler

extends SAXXMLHandler

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler
`XMLHandler.ManyReference, XMLHandler.MyEObjectStack, XMLHandler.MyStack<E>, XMLHandler.SingleReference`

Field Summary
`protected java.util.Collection<? extends Resource>` `generatedResources`
`protected java.lang.Object` `xsdEcoreBuilder`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

`anySimpleType, anyType, ARRAY_SIZE, attribs, capacity, contextFeature, DEBUG_DEMANDED_PACKAGES, deferIDREFResolution, deferredExtent, disableNotify, DOCUMENT_ROOT_TYPE, documentRoot, ecoreBuilder, elements, eObjectToExtensionMap, ERROR_TYPE, extendedMetaData, extent, externalURIToLocations, featuresToKinds, forwardManyReferences, forwardSingleReferences, helper, hrefAttribute, idAttribute, identifiers, isIDREF, isNamespaceAware, isRoot, isSimpleFeature, laxWildcardProcessing, locator, mixedTargets, needsPushContext, NIL_ATTRIB, NO_NAMESPACE_SCHEMA_LOCATION_ATTRIB, notFeatures, OBJECT_TYPE, objects, oldStyleProxyURIs, packageRegistry, positions, prefixesToFactories, processAnyXML, processSchemaLocations, recordAnyTypeNSDecls, recordUnknownFeature, REFERENCE_THRESHOLD, resolve, resourceEntityHandler, resourceSet, resourceURI, sameDocumentProxies, SCHEMA_LOCATION_ATTRIB, suppressDocumentRoot, text, TYPE_ATTRIB, types, UNKNOWN_FEATURE_TYPE, uriHandler, urisToLocations, useConfigurationCache, usedNullNamespacePackage, useNewMethods, xmlMap, xmlResource, xmlSchemaTypePackage`

Constructor Summary
`protected` `GenericXMLResourceImpl.GenericSAXXMLHandler(XMLResource xmlResource, XMLHelper helper, java.util.Map<?,?> options)`

Method Summary
`protected EPackage` `handleMissingPackage(java.lang.String uriString)`
`protected void` `handleTopLocations(java.lang.String prefix, java.lang.String name)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.SAXXMLHandler
`getContentFeature, getXSIType, handleObjectAttribs, processObject`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

`characters, comment, createDocumentRoot, createEcoreBuilder, createObject, createObject, createObjectByType, createObjectFromFactory, createObjectFromFeatureType, createObjectFromTypeName, createTopObject, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, error, error, fatalError, fatalError, getColumnNumber, getExtension, getFactoryForPrefix, getFeature, getFeature, getLineNumber, getLocation, getPackageForURI, getURIConverter, getXMLEncoding, growArrays, handleCDATA, handleComment, handleFeature, handleForwardReferences, handleForwardReferences, handleMixedText, handleNamespaceAttribs, handleProcessingInstruction, handleProxy, handleSchemaLocation, handleUnknownFeature, handleXMLNSAttribute, handleXSINoNamespaceSchemaLocation, handleXSISchemaLocation, ignorableWhitespace, isError, isNull, isTextFeatureValue, notationDecl, prepare, processElement, processingInstruction, processSchemaLocations, processTopObject, recordHeaderInformation, recordNamespacesSchemaLocations, recordUnknownFeature, reportUnknownFeature, reset, resolveEntity, setAttributes, setAttribValue, setDocumentLocator, setExtendedMetaDataOption, setFeatureValue, setFeatureValue, setFeatureValues, setLocator, setValueFromId, skippedEntity, startCDATA, startDocument, startDTD, startElement, startElement, startEntity, startPrefixMapping, toXMIException, unparsedEntityDecl, validateCreateObjectFromFactory, validateCreateObjectFromFactory, validateCreateObjectFromFactory, warning, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xsdEcoreBuilder

    protected java.lang.Object xsdEcoreBuilder

### generatedResources

    protected java.util.Collection<? extends Resource> generatedResources

Constructor Detail

### GenericXMLResourceImpl.GenericSAXXMLHandler

    protected GenericXMLResourceImpl.GenericSAXXMLHandler(XMLResource xmlResource,
                                                          XMLHelper helper,
                                                          java.util.Map<?,?> options)

Method Detail

### handleTopLocations

    protected void handleTopLocations(java.lang.String prefix,
                                      java.lang.String name)

  Overrides:
    `handleTopLocations` in class `XMLHandler`

### handleMissingPackage

    protected EPackage handleMissingPackage(java.lang.String uriString)

  Overrides:
    `handleMissingPackage` in class `XMLHandler`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.